Geonix

Get balance

GEThttps://geonix.com/personal/api/v1/{apiKey}/balance/get

This endpoint provides the current balance of your account, allowing you to monitor your funds and plan for future proxy purchases or renewals.

Headers

Name

Value

Content-Type

application/json

Path parameters

Name

Type

Description

apiKey*

string

API key to authorize requests

Request examples

curl -X GET "https://geonix.com/personal/api/v1/YOUR_API_KEY_HERE/balance/get" \
     -H "Content-Type: application/json"
<?php
$apiKey = 'YOUR_API_KEY_HERE'; // Replace with your actual API key
$url = "https://geonix.com/personal/api/v1/$apiKey/balance/get";

$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_HTTPHEADER, array('Content-Type: application/json'));
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

$response = curl_exec($ch);
curl_close($ch);

echo $response;
?>
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.URL;

public class BalanceGetExample {
    public static void main(String[] args) {
        String apiKey = "YOUR_API_KEY_HERE"; // Replace with your actual API key
        String urlString = "https://geonix.com/personal/api/v1/" + apiKey + "/balance/get";
        
        try {
            URL url = new URL(urlString);
            HttpURLConnection con = (HttpURLConnection) url.openConnection();
            con.setRequestProperty("Content-Type", "application/json");
            con.setRequestMethod("GET");

            BufferedReader in = new BufferedReader(new InputStreamReader(con.getInputStream()));
            String inputLine;
            StringBuilder response = new StringBuilder();
            
            while ((inputLine = in.readLine()) != null) {
                response.append(inputLine);
            }
            in.close();
            
            System.out.println(response.toString());
            
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}

Response Examples

{
  "status": "success",
  "data": {
    "summ": 20
  },
  "errors": []
}
{
  "status": "error",
  "data": null,
  "errors": [
    {
      "message": "Error api key",
      "code": 503,
      "customData": null
    }
  ]
}

On this page